#Include once "window9.bi"

Function ListBoxGadget Alias "ListBoxGadget" (ByVal gadget As integer, ByVal x As Integer,ByVal y As Integer,ByVal Width_ As Integer,ByVal height_ As Integer,ByVal parametr As Integer,ByVal parametr2 As Integer) As HWND Export
  Var hhh= CreateWindowEx( Parametr2, "ListBox", "", WS_CHILD Or WS_VISIBLE  Or Parametr , x, y,Width_,height_,GETGURRENTAL(),Cast(HMENU,gadget),0,0)
  ADDIN9999 (gadget,hhh)
  ColorAdd(hhh,GetSysColor(COLOR_WINDOW),GetSysColor(COLOR_WINDOWTEXT))
  If GGF()<>0 Then
    SendMessage(hhh,WM_SETFONT,GGF(),0)
  EndIf
  Return hhh
End Function
